/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:RulesManagerModelLocator.as 2485 2008-09-30 14:14:35Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.autonomous.cairngorm.model.presentation
{
    import flash.events.EventDispatcher;
	
	import org.ow2.jasmine.monitoring.eos.autonomous.cairngorm.event.*;
	import org.ow2.jasmine.monitoring.eos.autonomous.cairngorm.model.domain.AutonomousModel;
	    
	/**
	* Presentation model for the Autonomous module
	* 
	* @author Julien Nicoulaud
	*/
	[Bindable]
	public class AutonomousPM extends EventDispatcher
	{
		
        // =====================================================================
        // Variables
        // =====================================================================
        
		/**
		* Domain model
		*/
		public var autonomousModel:AutonomousModel;
		

        // =====================================================================
        // Constructors
        // =====================================================================
        
        /**
        * Build the Presentation Model for an Autonomous module view
        */
		public function AutonomousPM(autonomousModel:AutonomousModel)
		{
			// Set the model watched
			this.autonomousModel = autonomousModel;
		}

		
        // =====================================================================
        // Public methods
        // =====================================================================
		
        // None yet
		
        
        // =====================================================================
        // Private methods
        // =====================================================================

        // None yet

	}
}